## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
# * unit tests require a running display server
%bcond_with check
%global debug_package %{nil}

%global crate arboard

Name:           rust-arboard
Version:        3.4.1
Release:        %autorelease
Summary:        Image and text handling for the OS clipboard

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/arboard
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          arboard-fix-metadata-auto.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Image and text handling for the OS clipboard.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE.txt
%license %{crate_instdir}/LICENSE-MIT.txt
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+image-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+image-devel %{_description}

This package contains library source intended for building other packages which
use the "image" feature of the "%{crate}" crate.

%files       -n %{name}+image-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+image-data-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+image-data-devel %{_description}

This package contains library source intended for building other packages which
use the "image-data" feature of the "%{crate}" crate.

%files       -n %{name}+image-data-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+wayland-data-control-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+wayland-data-control-devel %{_description}

This package contains library source intended for building other packages which
use the "wayland-data-control" feature of the "%{crate}" crate.

%files       -n %{name}+wayland-data-control-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+wl-clipboard-rs-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+wl-clipboard-rs-devel %{_description}

This package contains library source intended for building other packages which
use the "wl-clipboard-rs" feature of the "%{crate}" crate.

%files       -n %{name}+wl-clipboard-rs-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sun Sep 15 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 3.4.1-1
- Update to version 3.4.1; Fixes RHBZ#2277677

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Mar 05 2024 Fabio Valentini <decathorpe@gmail.com> - 3.3.2-1
- Update to version 3.3.2; Fixes RHBZ#2267462

* Wed Feb 14 2024 Fabio Valentini <decathorpe@gmail.com> - 3.3.1-1
- Update to version 3.3.1; Fixes RHBZ#2263959

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Dec 28 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 3.3.0-1
- Update to 3.3.0 (rhbz#2250743)

* Tue Aug 29 2023 Fabio Valentini <decathorpe@gmail.com> - 3.2.1-1
- Update to version 3.2.1; Fixes RHBZ#2235572

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jul 12 2023 Fabio Valentini <decathorpe@gmail.com> - 3.2.0-1
- Initial import (#2214337)
## END: Generated by rpmautospec
